Unlink a payment email from a contact
curl --request DELETE \
--url https://api.getfernand.com/contacts/{id}/payment-email \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"source": "STRIPE",
"email": "billing@piedpiper.com"
}
'import requests
url = "https://api.getfernand.com/contacts/{id}/payment-email"
payload = {
"source": "STRIPE",
"email": "billing@piedpiper.com"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({source: 'STRIPE', email: 'billing@piedpiper.com'})
};
fetch('https://api.getfernand.com/contacts/{id}/payment-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getfernand.com/contacts/{id}/payment-email"
payload := strings.NewReader("{\n \"source\": \"STRIPE\",\n \"email\": \"billing@piedpiper.com\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.getfernand.com/contacts/{id}/payment-email");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
request.AddJsonBody("{\n \"source\": \"STRIPE\",\n \"email\": \"billing@piedpiper.com\"\n}", false);
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.delete("https://api.getfernand.com/contacts/{id}/payment-email")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"source\": \"STRIPE\",\n \"email\": \"billing@piedpiper.com\"\n}")
.asString();{
"error": "You cannot unlink the same email as the contact email."
}{
"error": "<string>"
}Unlink a payment email from a contact
DELETE
/
contacts
/
{id}
/
payment-email
Unlink a payment email from a contact
Removes the association between a contact and a payment email from a payment processor. Deletes the payment email link record and clears the contact’s financial information (financials, subscription_status, and subscription_start). The payment email being unlinked cannot be the same as the contact’s primary email.
Authorizations
Path Parameters
ID of the contact to unlink the payment email from.
Body
application/json
Payment processor source (case-insensitive, will be converted to uppercase).
Available options:
STRIPE, PADDLE, LEMON Example:
"STRIPE"
Payment email address to unlink from the contact. Cannot be the same as the contact's primary email.
Example:
"billing@piedpiper.com"
Response
Payment email unlinked successfully.
Was this page helpful?
⌘I